stages:
  - build
  - test
  - deploy
  
variables:
  projName: "offcn-media-resource"

before_script:
  - source /builds/cicd/base.sh
  
docker-build:
  tags:
    - offcn-media-resource-shell  
  stage: build
  retry: 1
  script:
    - source $PROJDIR/$projName/build.sh
    
k8s-deploy:
  tags:
    - offcn-media-resource-shell
  stage: deploy
  retry: 1
  script:
    - set -xe
    - source $PROJDIR/$projName/deploy.sh

